import { ElementRef, OnDestroy, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { DropdownRenderer } from '../../dropdown/help';
import { ModalController } from '../../modal/help';
import { DialogConfig, DialogController } from '../dialog-controller';
import { NotifyController } from '../notify-controller';
import { DrawerController } from '../drawer-controller';
export declare class AppComponent implements DropdownRenderer, OnInit, OnDestroy {
    private elementRef;
    private router;
    private renderer;
    private notifyController;
    private modalController;
    private dialogController;
    private drawerController;
    modalTemplates: TemplateRef<any>[];
    messageList: Array<any>;
    get isShowModal(): boolean;
    dialogConfig: DialogConfig;
    isShowDialog: boolean;
    showDrawer: boolean;
    drawerDirection: string;
    drawerContent: TemplateRef<any>;
    private dialogCheckState;
    private subs;
    private timer;
    private hideEventFromRouteChange;
    constructor(elementRef: ElementRef<HTMLElement>, router: Router, renderer: Renderer2, notifyController: NotifyController, modalController: ModalController, dialogController: DialogController, drawerController: DrawerController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    hideDrawer(): void;
    renderDropdown(ref: ElementRef): () => void;
    showModal(template: TemplateRef<any>): void;
    hideModal(template?: TemplateRef<any>): void;
    hideAllModal(): void;
    showDialog(config: DialogConfig | string): void;
    dialogChecked(checked: boolean): void;
    dialogOverlayHide(): void;
    notifyClose(i: number): void;
    notifyStop(item: any): void;
    notifyRestart(item: any): void;
    notifyStart(): void;
}
